import QtQuick 2.15
import QtQuick.Window 2.15
import QtQuick.Controls 2.12

Window {
    id: root
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")

    property var displayWindow: null

    Button {
        text: "Open on external"
        onClicked: {
            var component = Qt.createComponent("Display.qml")
            root.displayWindow = component.createObject(root)
            root.displayWindow.screen = Qt.application.screens[1]
            root.displayWindow.show()
        }
    }

    Connections {
        target: Qt.application
        onScreensChanged: {
            if (root.displayWindow && Qt.application.screens.length < 2)
            {
                root.displayWindow.destroy(1)
            }
        }
    }

    Rectangle {
        anchors.centerIn: parent
        color: "green"
        width: 100
        height: width

        RotationAnimation on rotation {
           loops: Animation.Infinite
           from: 0
           to: 360
           duration: 2000
       }
    }
}
